Subject: Re: [PATCH] adding ROM chips to device tree

From: Vitaly Wool <[email-masked]>
Date: Thu, 02 Nov 2006 16:45:56 +0300

Josh Boyer wrote:
> On Thu, 2006-11-02 at 14:55 +0300, Vitaly Wool wrote:
>   
>> In fact, currently this description can handle only flash devices mapped into memory in a linear way.
>>  For NAND flashes we'll need a whole lot different description but let's solve problems as they arise
>>  since I'm not aware of any ppc board w/ NAND chip yet :)
>>     
>
> Um...  all of the 440EP and 440EPx boards have NAND.  And those have
> been around for a while...
>
>   
Okay, that's nice to know. As you might have noticed, I'm a huge fan of 
NAND flashes :)
>> +
>> +    Required properties:
>> +
>> +     - device_type : has to be "rom"
>>     
>
> Why "rom" instead of "NOR"?
>   
Hmm, it corresponds to Sergei's version. The latter had this as "mtd" 
but following the thread I preferred to give it a more generic name.
However, thinking of it now, I realize that "NOR" is probably better 
since we'll have to define another set of properties for NAND (which 
will be of type "NAND" then) :)
>   
>> +     - compatible : Should be the name of the MTD driver. Currently, this is
>> +       most likely to be "physmap".
>> +     - reg : Offset and length of the register set for the device.
>>     
>
> reg doesn't really describe a register set here.  It's the overall
> memory space for flash.
>   
Absolutely. Basically the description was just taken from Sergei's patch 
with minimal modifications :)
>   
>> +
>> +    Recommended properties :
>> +
>> +     - bank-width : Width of the flash data bus in bytes. Must be specified
>> +       for the NOR flashes.
>>     
>
> This is a required property, not a recommended one.
>   
Yea, better have it in a separate section.

Thanks,
   Vitaly